아마존 상품
Amazon Product는 단일 ASIN에 대한 전체 상세 페이지를 반환하며, 가격, 이미지, 카테고리, 변형(variant), 속성을 포함합니다.
Endpoint
섹션 제목: “Endpoint” GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=product
Parameters
섹션 제목: “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | 사용자의 SERP API 키(Amazon과 공유됨). |
engine | string | yes | 반드시 amazon이어야 합니다. |
type | string | yes | 반드시 product여야 합니다. |
product_id | string | yes | Amazon 제품 ID(ASIN). |
domain | string | no | 마켓플레이스 도메인, 기본값은 amazon.com. |
device | desktop | mobile | no | 시뮬레이션할 디바이스. |
Finding the product ID
섹션 제목: “Finding the product ID”Amazon은 ASIN(Amazon Standard Identification Number)으로 제품을 식별합니다. 다음 두 가지 방법으로 확인할 수 있습니다.
- 제품 URL에서
/dp/뒤에 표시됩니다(예:https://www.amazon.com/dp/B08C1W5N87). - 제품 페이지의 “Product Information” 또는 “Additional Information” 섹션에서 확인할 수 있습니다.
Example request
섹션 제목: “Example request”curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=product&product_id=B08C1W5N87"import requests
params = { "engine": "amazon", "api_key": "YOUR_API_KEY", "type": "product", "product_id": "B08C1W5N87",}r = requests.get("https://ecom.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://ecom.shifter.io/v1?' + new URLSearchParams({ engine: 'amazon', api_key: 'YOUR_API_KEY', type: 'product', product_id: 'B08C1W5N87',});
const res = await fetch(url);const data = await res.json();Example response
섹션 제목: “Example response”{ "search_metadata": { "engine": "amazon", "amazon_domain": "amazon.com", "type": "product", "product_id": "B08C1W5N87" }, "product": { "title": "Fire TV Stick with Alexa Voice Remote", "product_id": "B08C1W5N87", "brand": "Amazon", "price": { "current_price": "$19.99", "currency": "$" }, "rating": { "rating": 4.7, "total_ratings": 141438 }, "keywords": ["fire tv", "streaming device"], "categories": [ { "name": "Electronics", "link": "/electronics" }, { "name": "Streaming Media Players" } ], "images": [ "https://m.media-amazon.com/images/I/51KKR5uGn6L.jpg" ], "attributes": [ { "name": "Connectivity", "value": "Wi-Fi, HDMI" } ] }}